Bug 1867254 - 'ResolutionFailed' found more than one head for channel [NEEDINFO]
Summary: 'ResolutionFailed' found more than one head for channel
Keywords:
Status: CLOSED DUPLICATE of bug 1869441
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Evan Cordell
QA Contact: Bruno Andrade
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-07 21:17 UTC by Bruno Andrade
Modified: 2020-08-20 17:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-20 17:23:20 UTC
Target Upstream Version:
bandrade: needinfo? (ecordell)
kuiwang: needinfo? (ecordell)
kuiwang: needinfo? (ecordell)


Attachments (Terms of Use)

Description Bruno Andrade 2020-08-07 21:17:47 UTC
Description of problem:
Seeing this issue while trying to install some community operators like Kogito.

0807 20:33:48.761076       1 queueinformer_operator.go:290] sync "test-operators1" failed: found more than one head for channel
I0807 20:33:48.761502       1 event.go:278] Event(v1.ObjectReference{Kind:"Namespace", Namespace:"", Name:"test-operators1", UID:"fae38efd-8e20-4086-9b51-fb76dc2685c6", APIVersion:"v1", ResourceVersion:"316245", FieldPath:""}): type: 'Warning' reason: 'ResolutionFailed' found more than one head for channel
E0807 20:33:48.816514       1 queueinformer_operator.go:290] sync "test-operators1" failed: found more than one head for channel
I0807 20:33:48.816607       1 event.go:278] Event(v1.ObjectReference{Kind:"Namespace", Namespace:"", Name:"test-operators1", UID:"fae38efd-8e20-4086-9b51-fb76dc2685c6", APIVersion:"v1", ResourceVersion:"316245", FieldPath:""}): type: 'Warning' reason: 'ResolutionFailed' found more than one head for channel
E0807 20:33:48.842369       1 queueinformer_operator.go:290] sync "test-operators1" failed: found more than one head for channel
I0807 20:33:48.842545       1 event.go:278] Event(v1.ObjectReference{Kind:"Namespace", Namespace:"", Name:"test-operators1", UID:"fae38efd-8e20-4086-9b51-fb76dc2685c6", APIVersion:"v1", ResourceVersion:"316245", FieldPath:""}): type: 'Warning' reason: 'ResolutionFailed' found more than one head for channel
E0807 20:33:48.867721       1 queueinformer_operator.go:290] sync "test-operators1" failed: found more than one head for channel
I0807 20:33:48.867831       1 event.go:278] Event(v1.ObjectReference{Kind:"Namespace", Namespace:"", Name:"test-operators1", UID:"fae38efd-8e20-4086-9b51-fb76dc2685c6", APIVersion:"v1", ResourceVersion:"316245", FieldPath:""}): type: 'Warning' reason: 'ResolutionFailed' found more than one head for channel
E0807 20:33:48.893233       1 queueinformer_operator.go:290] sync "test-operators1" failed: found more than one head for channel
I0807 20:33:48.893318       1 event.go:278] Event(v1.ObjectReference{Kind:"Namespace", Namespace:"", Name:"test-operators1", UID:"fae38efd-8e20-4086-9b51-fb76dc2685c6", APIVersion:"v1", ResourceVersion:"316245", FieldPath:""}): type: 'Warning' reason: 'ResolutionFailed' found more than one head for channel



Version-Release number of selected component (if applicable):

Cluster Version: 4.6.0-0.nightly-2020-08-06-062308
OLM version: 0.16.0
git commit: 163608d60f37cc3496736bfc4ec72ca01dc7083a

How reproducible:
Always


Steps to Reproduce:
1- Install Kogito Operator using Operator Hub

Actual results:
Unable to install some community-operators

Comment 1 Evan Cordell 2020-08-10 14:57:34 UTC
The underlying issue has already been fixed, but the community-operators image needs to be updated to use the latest base image.

Comment 4 Bruno Andrade 2020-08-10 21:14:29 UTC
Evan do you know if is there a PR for that? Just asking to check the right moment to verify it. Thanks

Comment 5 kuiwang 2020-08-11 02:19:11 UTC
Just FYI. I find some OLM automation regression cases (for example 22226) also are failing with same error. 

Besides Bruno's comment, what does "community-operators image needs to be updated to use the latest base image" means? Thanks

Let's take namespace-configuration-operator as example which is from community-operators.
it take quay.io/redhat-cop/namespace-configuration-operator:v0.1.0. do you mean the author of namespace-configuration-operator need to rebuild this image?

Comment 6 kuiwang 2020-08-13 11:14:35 UTC
Some automation regression cases are still failing at this error.
For example,
  operator teiid               
  operator composable-operator

  the index image is quay.io/openshift-community-operators/catalog:latest

could you please update them? thanks

Comment 7 kuiwang 2020-08-13 11:30:18 UTC
Note: for above failure, I tried to manually install them, and same error. so it has nothing with automation code. FYI


Note You need to log in before you can comment on or make changes to this bug.